=== debian/changelog ===
qxw (20110923-1ubuntu1) raring; urgency=low

  * Added missing lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Apr 2013 11:42:21 -0400

qxw (20110923-1) unstable; urgency=low

  * New upstream release

 -- Mark Owen <debian@quinapalus.com>  Fri, 23 Sep 2011 16:13:18 +0100

qxw (20110826-1) unstable; urgency=low

  * New upstream release with minor fixes
  * Minor change to debian/copyright

 -- Mark Owen <debian@quinapalus.com>  Fri, 26 Aug 2011 14:43:10 +0100

qxw (20110818-1) unstable; urgency=low

  * Initial release (Closes: #638465)

 -- Mark Owen <debian@quinapalus.com>  Wed, 18 Aug 2011 14:30:08 +0100
