=== debian/control ===
Source: qxw
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mark Owen <debian@quinapalus.com>
Build-Depends: debhelper (>= 7), libcairo2-dev (>= 1.6.0),
 libglib2.0-dev (>= 2.12.0), libgtk2.0-dev (>= 2.8.0),
 libpcre3-dev (>= 7.7)
Standards-Version: 3.9.2
Homepage: http://www.quinapalus.com/qxw.html

Package: qxw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wordlist
Description: advanced interactive crossword construction tool
 Qxw is a program to help you create and publish crosswords,
 from the simplest blocked grid to sophisticated thematic
 puzzles. It can make rectangular-, hexagonal- or
 circular-format grids with blocks, bars or both. It
 has an automatic grid-filling facility that can handle a
 wide range of answer treatments and you can even add your
 own answer treatment methods. Grids can be filled using
 letters, digits, or a mixture of both. Qxw can produce
 output in a range of formats ready for publication.
 .
 Qxw is written in C and has a GUI based on GTK+.
