=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://www.quinapalus.com/qxwdownload.html qxw-(\d*)\.tar\.gz
