=== debian/changelog ===
qxw (20140331-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC. (Closes: #925816)
    - Thanks Reiner Herrmann.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 16 Mar 2020 20:10:51 +0000

qxw (20140331-1) unstable; urgency=low

  * New upstream release
  * Source signature check

 -- Mark Owen <debian@quinapalus.com>  Tue, 01 Apr 2014 15:11:00 +0100

qxw (20140131-1) unstable; urgency=low

  * New upstream release

 -- Mark Owen <debian@quinapalus.com>  Mon, 03 Feb 2014 13:25:52 +0000

qxw (20130906-1) unstable; urgency=low

  * New upstream release

 -- Mark Owen <debian@quinapalus.com>  Thu, 07 Nov 2013 19:42:15 +0000
