=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: qxw
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mark Owen <debian@quinapalus.com>
-Build-Depends: debhelper (>= 7), libcairo2-dev (>= 1.6.0),
+Maintainer: Mark Owen <debian@quinapalus.com>
+Build-Depends: debhelper (>= 7.0.50~), libcairo2-dev (>= 1.6.0),
  libglib2.0-dev (>= 2.12.0), libgtk2.0-dev (>= 2.8.0),
  libpcre3-dev (>= 7.7)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://www.quinapalus.com/qxw.html
 
 Package: qxw
