=== debian/control ===
Source: qxw
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Mark Owen <debian@quinapalus.com>,
           Nick Morrott <nickm@debian.org>,
Build-Depends: debhelper-compat (= 13),
               libcairo2-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libpcre2-dev,
Standards-Version: 4.7.2
Homepage: https://www.quinapalus.com/qxw.html
Vcs-Browser: https://salsa.debian.org/games-team/qxw
Vcs-Git: https://salsa.debian.org/games-team/qxw.git

Package: qxw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: wordlist
Description: advanced crossword construction tool
 Qxw is a program to help you create and publish crosswords,
 from the simplest blocked grid to sophisticated thematic
 puzzles. It can make rectangular-, hexagonal- or
 circular-format grids with blocks, bars or both. It
 has an automatic grid-filling facility that can handle a
 wide range of answer treatments and you can even add your
 own answer treatment methods. Grids can be filled using
 letters, digits, or a mixture of both; non-Roman and
 custom alphabets are also supported. Qxw can produce
 output in a range of formats ready for publication.
 .
 Qxw also has a non-interactive mode that can solve a wide
 range of word-based constraint satisfaction problems and
 can help automate the exploration of grid designs.
 .
 Qxw is written in C and has a GUI based on GTK+.
