=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh  $@

# To help ensure `appstreamcli --validate-tree` is successful for an unpacked
# binary package, we need to ensure that both the appdata.xml and .desktop
# files are named using the same RDNS scheme
#
# Tip: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1086181#106
#
execute_after_dh_auto_install:
	mv -v debian/qxw/usr/share/applications/qxw.desktop \
		debian/qxw/usr/share/applications/com.quinapalus.qxw.desktop

override_dh_installchangelogs:
	dh_installchangelogs -k changelog.gz
