=== debian/watch ===
version=4

# HTTP site (pgpsigurlmangle)
opts=pgpsigurlmangle=s/$/.asc/ https://www.quinapalus.com/qxwdownload.html \
    @PACKAGE@-(\d{8})@ARCHIVE_EXT@
